<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования покупателя.
 * 
 * Файл: /admin/shop/action/add_sellers.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();
$shop = & singleton('shop');
// Получаем переданные параметры
$param['shop_sallers_name'] = to_str($_REQUEST['shop_sallers_name']);
$param['shop_sallers_contact_person'] = to_str($_REQUEST['shop_sallers_contact_person']);
$param['shop_sallers_comment'] = to_str($_REQUEST['shop_sallers_comment']);
$param['shop_sallers_address'] = to_str($_REQUEST['shop_sallers_address']);
$param['shop_sallers_phone'] = to_str($_REQUEST['shop_sallers_phone']);
$param['shop_sallers_fax'] = to_str($_REQUEST['shop_sallers_fax']);
$param['shop_sallers_http'] = to_str($_REQUEST['shop_sallers_http']);
$param['shop_sallers_email'] = to_str($_REQUEST['shop_sallers_email']);
$param['shop_sallers_inn'] = to_str($_REQUEST['shop_sallers_inn']);
$param['shop_shops_id'] = to_int($_REQUEST['shop_shops_id2']);
$param['site_users_id'] = to_int($_REQUEST['site_users_id']);

if (isset($_REQUEST['seller_id']))
{
	// Идентификатор продавца существует, добавляем его в список параметров.
	$param['shop_sallers_id'] = to_int($_REQUEST['seller_id']);
}

// Параметры изображения

// Путь к файлу-источнику большого изображения;
$param['path_source_big_image'] = to_str($_FILES['shop_sallers_image']['tmp_name']);

// Путь к файлу-источнику малого изображения;
$param['path_source_small_image'] = to_str($_FILES['shop_sallers_image_small']['tmp_name']);

//Оригинальное имя файла большого изображения
$param['original_file_name_big_image'] = to_str($_FILES['shop_sallers_image']['name']);

// Путь к создаваемому файлу большого изображения;
//$param['path_target_big_image'] = $shop_item_catalog_image;

// Путь к создаваемому файлу малого изображения;
//$param['path_target_small_image'] = $shop_item_catalog_small_image;

// Оригинальное имя файла малого изображения
$param['original_file_name_small_image'] = to_str($_FILES['shop_sallers_image_small']['name']);
// Использовать большое изображение для создания малого (true - использовать (по умолчанию), false - не использовать)

if (isset($_POST['used_big_image_shop_sallers_image']) && $param['original_file_name_big_image'] != '')
{
	$param['use_big_image'] = 1;
}
else
{
	$param['use_big_image'] = 0;
}

// Значение максимальной ширины большого изображения
$param['max_width_big_image'] = to_int($_POST['big_image_max_width_shop_sallers_image']);

// Значение максимальной высоты большого изображения
$param['max_height_big_image'] = to_int($_POST['big_image_max_height_shop_sallers_image']);

// Значение максимальной ширины малого изображения;
$param['max_width_small_image'] = to_int($_POST['small_image_max_width_shop_sallers_image']);

// Значение максимальной высоты малого изображения;
$param['max_height_small_image'] = to_int($_POST['small_image_max_height_shop_sallers_image']);

//$InformationSystemRow = $information_system->GetInformationSystem(to_int($_POST['information_system_id']));

$ShopRow = $shop->GetShop($param['shop_shops_id']);

// Для магазина задан "водяной знак"
if ($ShopRow['shop_watermark_file'] != '' && is_file(CMS_FOLDER . UPLOADDIR . 'shop_' . $param['shop_shops_id'] . '/watermarks/' . $ShopRow['shop_watermark_file']))
{
	$watermark_file = CMS_FOLDER . UPLOADDIR . 'shop_' . $param['shop_shops_id'] . '/watermarks/' . $ShopRow['shop_watermark_file'];
}
else
{
	$watermark_file = '';
}

// Путь к файлу с "водяным знаком"
$param['watermark_file_path'] = $watermark_file;

// Позиция "водяного знака" по оси X image_watermark_position_x_groups_image
$param['watermark_position_x'] = to_str($_POST['image_watermark_position_x_shop_sallers_image']);

// Позиция "водяного знака" по оси Y
$param['watermark_position_y'] = to_str($_POST['image_watermark_position_y_shop_sallers_image']);

// Наложить "водяной знак" на большое изображение (true - наложить (по умолчанию), false - не наложить);
$param['used_watermark_big_image'] = isset ($_POST['big_image_is_use_watermark_shop_sallers_image']);

// Наложить "водяной знак" на малое изображение (true - наложить (по умолчанию), false - не наложить);
$param['used_watermark_small_image'] = isset ($_POST['small_image_is_use_watermark_shop_sallers_image']);

// Сохранять пропорции изображения для большого изображения
$param['preserve_aspect_ratio_for_big_image'] = isset ($_POST['big_image_preserve_aspect_ratio_shop_sallers_image']);

// Сохранять пропорции изображения для малого изображения
$param['preserve_aspect_ratio_for_small_image'] = isset ($_POST['small_image_preserve_aspect_ratio_shop_sallers_image']);

$result = $shop->InsertSeller($param);

$admin_forms = new admin_forms();
$window_id = $admin_forms->GetWindowId();
?><script type="text/javascript">
$.appendInput('<?php echo $window_id?>', 'EditAddSeller', 'seller_id', '<?php echo $result?>');
</script><?php
	
if ($result and $result != -1)
{
	if (isset($_REQUEST['seller_id'])) 
	{
		show_message($GLOBALS['MSG_shops']['edit_sellers_success']);
	}
	else 
	{
		show_message($GLOBALS['MSG_shops']['add_sellers_success']);
	}
}
else
{
	if (isset($_REQUEST['seller_id'])) 
	{
		show_error_message($GLOBALS['MSG_shops']['edit_sellers_error']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_shops']['add_sellers_error']);
	}
	
	/*
	$seller_name = htmlspecialchars(to_str($_REQUEST["shop_sallers_name"]));
	$seller_contact_person = htmlspecialchars(to_str($_REQUEST["shop_sallers_contact_person"]));
	$seller_comment = htmlspecialchars(to_str($_REQUEST["shop_sallers_comment"]));
	$seller_address = htmlspecialchars(to_str($_REQUEST["shop_sallers_address"]));
	$seller_phone = htmlspecialchars(to_str($_REQUEST["shop_sallers_phone"]));
	$seller_fax = htmlspecialchars(to_str($_REQUEST["shop_sallers_fax"]));
	$seller_http = htmlspecialchars(to_str($_REQUEST["shop_sallers_http"]));
	$seller_email = htmlspecialchars(to_str($_REQUEST["shop_sallers_email"]));
	$seller_inn = htmlspecialchars(to_str($_REQUEST["shop_sallers_inn"]));
	if (isset($_REQUEST['seller_id']))
	{
		// Дописывается к форме, указывая ID редактируемой записи в отправляемой информации из формы
		$edit_hidden = '<input TYPE="hidden" NAME="seller_id" VALUE="'.$row["shop_sallers_id"].'">';
	}
	else 
	{
		$edit_hidden = '';
	}
	*/
}
?>